WPG1Parser Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
WPG1Parser Class Reference

`#include <WPG1Parser.h>`

Inheritance diagram for WPG1Parser:

## Public Member Functions
| WPG1Parser (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter)
bool | parse ()
Public Member Functions inherited from WPGXParser
| WPGXParser (librevenge::RVNGInputStream *input, librevenge::RVNGDrawingInterface *painter)
| WPGXParser (const WPGXParser &parser)
virtual | ~WPGXParser ()
unsigned char | readU8 ()
unsigned short | readU16 ()
unsigned int | readU32 ()
short | readS16 ()
int | readS32 ()
unsigned int | readVariableLengthInteger ()
WPGXParser & | operator= (const WPGXParser &parser)

## Private Member Functions
void | handleStartWPG ()
void | handleEndWPG ()
void | handleFillAttributes ()
void | handleLineAttributes ()
void | handleColormap ()
void | handleLine ()
void | handlePolyline ()
void | handleRectangle ()
void | handlePolygon ()
void | handleEllipse ()
void | handleCurvedPolyline ()
bool | decodeRLE (std::vector< unsigned char > &buffer, unsigned width, unsigned height, unsigned depth)
void | fillPixels (libwpg::WPGBitmap &bitmap, const unsigned char *buffer, unsigned width, unsigned height, unsigned depth)
void | handleBitmapTypeOne ()
void | handleBitmapTypeTwo ()
void | handlePostscriptTypeOne ()
void | handlePostscriptTypeTwo ()
void | handleGraphicsTextAttributes ()
void | handleGraphicsTextTypeOne ()
void | handleGraphicsTextTypeTwo ()
void | handleGraphicsTextTypeThree ()
void | resetPalette ()

## Private Attributes
int | m_recordLength
long | m_recordEnd
bool | m_success
bool | m_exit
bool | m_graphicsStarted
int | m_width
int | m_height
::librevenge::RVNGPropertyList | m_style
libwpg::WPGColor | m_penForeColor
libwpg::WPGColor | m_penBackColor
libwpg::WPGColor | m_brushForeColor
libwpg::WPGColor | m_brushBackColor
libwpg::WPGDashArray | m_dashArray
::librevenge::RVNGPropertyListVector | m_gradient

## Additional Inherited Members
Protected Attributes inherited from WPGXParser
librevenge::RVNGInputStream * | m_input
librevenge::RVNGDrawingInterface * | m_painter
std::map< int, libwpg::WPGColor > | m_colorPalette

## Constructor & Destructor Documentation

WPG1Parser::WPG1Parser | ( | librevenge::RVNGInputStream * | input,
|  | librevenge::RVNGDrawingInterface * | painter
| ) |  |

## Member Function Documentation

bool WPG1Parser::decodeRLE | ( | std::vector< unsigned char > & | buffer,
|  | unsigned | width,
|  | unsigned | height,
|  | unsigned | depth
| ) |  |
| private

Referenced by handleBitmapTypeOne(), and handleBitmapTypeTwo().

void WPG1Parser::fillPixels | ( | libwpg::WPGBitmap & | bitmap,
|  | const unsigned char * | buffer,
|  | unsigned | width,
|  | unsigned | height,
|  | unsigned | depth
| ) |  |
| private

Referenced by handleBitmapTypeOne(), and handleBitmapTypeTwo().

void WPG1Parser::handleBitmapTypeOne | ( |  | ) |
| private

Referenced by parse().

void WPG1Parser::handleBitmapTypeTwo | ( |  | ) |
| private

Referenced by parse().

void WPG1Parser::handleColormap | ( |  | ) |
| private

Referenced by parse().

void WPG1Parser::handleCurvedPolyline | ( |  | ) |
| private

Referenced by parse().

void WPG1Parser::handleEllipse | ( |  | ) |
| private

Referenced by parse().

void WPG1Parser::handleEndWPG | ( |  | ) |
| private

Referenced by handleStartWPG(), and parse().

void WPG1Parser::handleFillAttributes | ( |  | ) |
| private

Referenced by parse().

void WPG1Parser::handleGraphicsTextAttributes | ( |  | ) |
| private

Referenced by parse().

void WPG1Parser::handleGraphicsTextTypeOne | ( |  | ) |
| private

Referenced by parse().

void WPG1Parser::handleGraphicsTextTypeThree | ( |  | ) |
| private

void WPG1Parser::handleGraphicsTextTypeTwo | ( |  | ) |
| private

Referenced by parse().

void WPG1Parser::handleLine | ( |  | ) |
| private

Referenced by parse().

void WPG1Parser::handleLineAttributes | ( |  | ) |
| private

Referenced by parse().

void WPG1Parser::handlePolygon | ( |  | ) |
| private

Referenced by parse().

void WPG1Parser::handlePolyline | ( |  | ) |
| private

Referenced by parse().

void WPG1Parser::handlePostscriptTypeOne | ( |  | ) |
| private

Referenced by parse().

void WPG1Parser::handlePostscriptTypeTwo | ( |  | ) |
| private

Referenced by parse().

void WPG1Parser::handleRectangle | ( |  | ) |
| private

Referenced by parse().

void WPG1Parser::handleStartWPG | ( |  | ) |
| private

Referenced by parse().

bool WPG1Parser::parse | ( |  | ) |
| virtual

Implements WPGXParser.

void WPG1Parser::resetPalette | ( |  | ) |
| private

Referenced by parse().

## Member Data Documentation

libwpg::WPGColor WPG1Parser::m_brushBackColor
| private

Referenced by parse().

libwpg::WPGColor WPG1Parser::m_brushForeColor
| private

Referenced by handleFillAttributes(), parse(), and WPG1Parser().

libwpg::WPGDashArray WPG1Parser::m_dashArray
| private

Referenced by parse().

bool WPG1Parser::m_exit
| private

Referenced by handleEndWPG(), and parse().

::librevenge::RVNGPropertyListVector WPG1Parser::m_gradient
| private

Referenced by handleCurvedPolyline(), handleEllipse(), handleLine(), handlePolygon(), and handleRectangle().

bool WPG1Parser::m_graphicsStarted
| private

Referenced by handleBitmapTypeOne(), handleBitmapTypeTwo(), handleColormap(), handleCurvedPolyline(), handleEllipse(), handleEndWPG(), handleFillAttributes(), handleGraphicsTextAttributes(), handleGraphicsTextTypeOne(), handleGraphicsTextTypeTwo(), handleLine(), handleLineAttributes(), handlePolygon(), handlePolyline(), handlePostscriptTypeOne(), handlePostscriptTypeTwo(), handleRectangle(), handleStartWPG(), and parse().

int WPG1Parser::m_height
| private

Referenced by handleBitmapTypeTwo(), handleCurvedPolyline(), handleEllipse(), handleGraphicsTextTypeOne(), handleLine(), handlePolygon(), handlePolyline(), handlePostscriptTypeOne(), handlePostscriptTypeTwo(), handleRectangle(), and handleStartWPG().

libwpg::WPGColor WPG1Parser::m_penBackColor
| private

Referenced by parse().

libwpg::WPGColor WPG1Parser::m_penForeColor
| private

Referenced by handleLineAttributes(), parse(), and WPG1Parser().

long WPG1Parser::m_recordEnd
| private

Referenced by decodeRLE(), handleCurvedPolyline(), handlePolygon(), handlePolyline(), handlePostscriptTypeOne(), handlePostscriptTypeTwo(), and parse().

int WPG1Parser::m_recordLength
| private

Referenced by parse().

::librevenge::RVNGPropertyList WPG1Parser::m_style
| private

Referenced by handleCurvedPolyline(), handleEllipse(), handleFillAttributes(), handleLine(), handleLineAttributes(), handlePolygon(), handlePolyline(), handleRectangle(), parse(), and WPG1Parser().

bool WPG1Parser::m_success
| private

Referenced by parse().

int WPG1Parser::m_width
| private

Referenced by handleStartWPG().

The documentation for this class was generated from the following files:

- WPG1Parser.h
- WPG1Parser.cpp